	nolist
;******************************************************************************
;
;  This is the custom Header File for the real time clock application note
;	PROGRAM:	CLOCK.H
;	Revision:	7-19-94
;
;******************************************************************************
; This is used for the ASSEMBLER to recalculate certain frequency
; dependant variables. The value of Dev_Freq must be changed to 
; reflect the frequency that the device actually operates at.
;
Dev_Freq		EQU		D'4000000'			; Device Frequency is 4 MHz
DB_HI_BYTE		EQU		(HIGH ((( Dev_Freq / 4 ) * 1 / D'1000' ) / 3 ) ) + 1
LCD_INIT_DELAY	EQU		(HIGH ((( Dev_Freq / 4 ) * D'46' / D'10000' ) / 3 ) ) + 1
INNER_CNTR		EQU		40					; RAM Location 
OUTER_CNTR		EQU		41					; RAM Location
;
T1OSO			EQU		0				; The RC0 / T1OSO / T1CKI
;
RESET_V			EQU		0x0000			; Address of RESET Vector
ISR_V			EQU		0x0004			; Address of Interrupt Vector
PMEM_END		EQU		0x07FF			; Last address in Program Memory
TABLE_ADDR		EQU		0x0400			; Address where to start Tables
;
COUNTER         EQU     0x021           ; 
CCP2_INT_CNT    EQU     0x33
;
;
; DUMMY_PD:DUMMY_PB contain the value to be loaded into the CCP2 compare registers
; (CCPR2H:CCPR2L)
;
DUMMY_PA        EQU     0x50
DUMMY_PB        EQU     0x51
DUMMY_PC        EQU     0x52
DUMMY_PD        EQU     0x53
DUMMY_PE        EQU     0x54
;
;
; CAPT_NEW_H:CAPT_NEW_L stores the NEW captured value and the result of the 
; subtraction between this capture and the previous.
;    CAPT_NEW_H:CAPT_NEW_L  =  CAPT_NEW_H:CAPT_NEW_L - CAPT_OLD_H:CAPT_OLD_L
;
; After all computations the new capture value is moved to the CAPT_OLD_H:CAPT_OLD_L
; in preperation for the next capture value.
;
CAPT_NEW_H      EQU     0x040           ; 
CAPT_NEW_L      EQU     0x041           ;
CAPT_OLD_H      EQU     0x042           ;
CAPT_OLD_L      EQU     0x043           ;
;
	list
