	nolist
;******************************************************************************
;
;  This is the custom Header File for the real time clock application note
;	PROGRAM:	CLOCK.H
;	Revision:	7-13-94
;
;******************************************************************************
; This is used for the ASSEMBLER to recalculate certain frequency
; dependant variables. The value of Dev_Freq must be changed to 
; reflect the frequency that the device actually operates at.
;
Dev_Freq		EQU		D'10000000'			; Device Frequency is 4 MHz
PULSE_TIME      EQU     (( Dev_Freq / D'4000' ) * D'188' / D'10000' )
;

DB_HI_BYTE		EQU		(HIGH ((( Dev_Freq / 4 ) * 1 / D'1000' ) / 3 ) ) + 1
LCD_INIT_DELAY	EQU		(HIGH ((( Dev_Freq / 4 ) * D'46' / D'10000' ) / 3 ) ) + 1
INNER_CNTR		EQU		40					; RAM Location 
OUTER_CNTR		EQU		41					; RAM Location
;
T1OSO			EQU		0				; The RC0 / T1OSO / T1CKI
;
RESET_V			EQU		0x0000			; Address of RESET Vector
ISR_V			EQU		0x0004			; Address of Interrupt Vector
PMEM_END		EQU		0x07FF			; Last address in Program Memory
TABLE_ADDR		EQU		0x0400			; Address where to start Tables
;
COUNTER         EQU     0x021           ; 
;
XMIT_DATA       EQU     0x30
DATA_CNT        EQU     0x31
ONES_CNT        EQU     0x32
CCP1_INT_CNT    EQU     0x33
CCPREG_HI       EQU     0x40
CCPREG_LO       EQU     0x41
DUMMY_PA        EQU     0x50
DUMMY_PB        EQU     0x51
DUMMY_PC        EQU     0x52
DUMMY_PD        EQU     0x53
DUMMY_PE        EQU     0x54
DC_HI           EQU     0x55
DC_LO           EQU     0x56
T2_PERIOD       EQU     0xA0
;
	list

